classification
Title: turtle.py: bug in TurtleScreenBase._drawimage
Type: behavior Stage:
Components: Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, georg.brandl, gregorlingl, gvanrossum, loewis, miss-islington
Priority: normal Keywords: patch

Created on 2008-09-23 22:26 by gregorlingl, last changed 2020-02-10 21:37 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
_drawimage-patch.diff gregorlingl, 2008-09-23 22:26 unified diff of the patch to fix this bug
_drawimage_bug_fix_test.py gregorlingl, 2008-09-23 22:27 bug-demo
huhn.gif gregorlingl, 2008-09-23 22:28 necessary ressource to run demo
Pull Requests
URL Status Linked Edit
PR 18435 merged tyndall, 2020-02-10 20:22
PR 18440 merged miss-islington, 2020-02-10 21:19
PR 18439 merged miss-islington, 2020-02-10 21:20
Messages (7)
msg73673 - (view) Author: Gregor Lingl (gregorlingl) Date: 2008-09-23 22:26
In the first line of TurtleScreenBase._drawimage() there are to
scalefactors missing. This leads to the annoying fact, that the drawings
and the movement of a turtle which has an image shape differ.

This is shown in the short script
_drawimage_bug_fix-test.py
which I'll submit immediately. (You have to have huhn.gif in the same
directory as the script.)

After applying the bugfix submitted in 
_drawimage_patch.diff
this annoying behaviour goes away.

It is really an ambarassing and easy to fix bug.
Regards, Gregor
msg73677 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-23 22:58
Go ahead and apply it.
msg73724 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-09-24 16:23
Gregor doesn't have commit rights. Patch looks OK, would you apply it
please, Ben?
msg73757 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-24 22:13
Done in r66614.

Georg, according to http://python.org/dev/committers and r64063, Gregor
does have commit access.
msg73758 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-09-24 22:14
My apologies then.
msg361724 - (view) Author: miss-islington (miss-islington) Date: 2020-02-10 21:34
New changeset 3b888ad70aaed39df1985b38b4987feb5bee7981 by Miss Islington (bot) in branch '3.7':
[3.7] bpo-3950: Fix docs for default locale used by gettext to match implementation (GH-18435) (GH-18439)
https://github.com/python/cpython/commit/3b888ad70aaed39df1985b38b4987feb5bee7981
msg361726 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-02-10 21:37
Sorry, those PRs were for issue39501.
History
Date User Action Args
2020-02-10 21:37:52gvanrossumsetnosy: + gvanrossum
messages: + msg361726
2020-02-10 21:34:31miss-islingtonsetnosy: + miss-islington
messages: + msg361724
2020-02-10 21:20:15miss-islingtonsetpull_requests: + pull_request17814
2020-02-10 21:19:46miss-islingtonsetpull_requests: + pull_request17813
2020-02-10 20:22:59tyndallsetpull_requests: + pull_request17809
2008-09-24 22:14:40georg.brandlsetstatus: open -> closed
messages: + msg73758
2008-09-24 22:13:57benjamin.petersonsetmessages: + msg73757
2008-09-24 16:23:18georg.brandlsetassignee: benjamin.peterson
resolution: accepted
messages: + msg73724
nosy: + georg.brandl
2008-09-23 22:58:56benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg73677
2008-09-23 22:28:25gregorlinglsetfiles: + huhn.gif
2008-09-23 22:27:30gregorlinglsetfiles: + _drawimage_bug_fix_test.py
type: behavior
versions: + Python 2.6
2008-09-23 22:26:18gregorlinglcreate